Subject: bug#75004: 30.0.92; documentation unclear about D-Bus support

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Dec 2024 14:18:13 +0200

> Cc: [email-masked]
> Date: Sun, 22 Dec 2024 09:42:23 +0100
> From:  Michael Albinus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Mike Kupfer <[email-masked]> writes:
> 
> > BTW, I was surprised that 'configure' did not error out when I supplied
> > --with-dbus (or --with-dbus=yes) on the command line.  I expect
> > 'configure' to disable a feature (and exit with status 0) if the feature
> > can't be provided and wasn't explicitly requested, but I thought the
> > inability to provide a specifically requested feature was considered an
> > error.  Am I misunderstanding how 'configure' is supposed to work?
> 
> I'm not an expert in this department. Eli?

This is not magic, and needs to be explicitly coded in configure.ac.
The --with-dbus option doesn't have such code, and basically turns on
D-Bus support only if available; otherwise it silently turns it off.
If we want to have --with-dbus error out, we need to change the
default of --with-dbus to "ifavailable', since otherwise many people
who don't want D-Bus or don't have it installed (or build Emacs on
platforms where D-Bus is unavailable) will get errors where previously
they didn't.